dbXML API

## com.dbxml.db.client
Interface dbXMLClient

All Known Implementing Classes:
  dbXMLClientImpl, dbXMLClientImpl

public interface dbXMLClient

dbXMLClient is the standard interface for working with dbXML in a client/server fashion.

Field Summary
`static java.lang.String` `ALT_HOST`
`static java.lang.String` `ALT_PASS`
`static java.lang.String` `ALT_PORT`
`static java.lang.String` `ALT_USER`
`static java.lang.String` `HOST`
`static java.lang.String` `PASS`
`static java.lang.String` `PORT`
`static java.lang.String` `USER`

Method Summary
`void` `connect()` connect instructs the client to connect to the server.
`void` `disconnect()` disconnect instructs the client to disconnect from the server.
`CollectionClient` `getCollection(java.lang.String path)` getCollection returns the CollectionClient defined by the specified path.
`ContentClient` `getContent(java.lang.String path)` getContent returns the ContentClient defined by the specified path.
`CollectionClient` `getDatabase()` getDatabase returns the Database instance as a CollectionClient.
`java.util.Map` `getProperties()` getProperties returns the entire set of client properties.
`java.lang.String` `getProperty(java.lang.String name)` getProperty returns a connection property from the client.
`java.lang.String` `getServerVersion()` getServerVersion returns a string that includes the name and current version of the server that is currently connected.
`java.lang.String[]` `listProperties()` listProperties returns a list of the connection property names for the client.
`void` `setProperty(java.lang.String name, java.lang.String value)` setProperty sets a connection property for the client.
`void` `shutdown(int exitCode)` shutdown shuts down the server with the specified exit code.

Field Detail

### HOST

    public static final java.lang.String HOST

See Also:
  Constant Field Values

### ALT_HOST

    public static final java.lang.String ALT_HOST

See Also:
  Constant Field Values

### PORT

    public static final java.lang.String PORT

See Also:
  Constant Field Values

### ALT_PORT

    public static final java.lang.String ALT_PORT

See Also:
  Constant Field Values

### USER

    public static final java.lang.String USER

See Also:
  Constant Field Values

### ALT_USER

    public static final java.lang.String ALT_USER

See Also:
  Constant Field Values

### PASS

    public static final java.lang.String PASS

See Also:
  Constant Field Values

### ALT_PASS

    public static final java.lang.String ALT_PASS

See Also:
  Constant Field Values

Method Detail

### setProperty

    public void setProperty(java.lang.String name,
                            java.lang.String value)

  setProperty sets a connection property for the client. Properties should be set before calling the connect method.

  Parameters:
    `name` - The property name
    `value` - The property value

### getProperty

    public java.lang.String getProperty(java.lang.String name)

  getProperty returns a connection property from the client.

  Parameters:
    `name` - The property name
  Returns:
    The property value

### listProperties

    public java.lang.String[] listProperties()

  listProperties returns a list of the connection property names for the client.

  Returns:
    The property list

### getProperties

    public java.util.Map getProperties()

  getProperties returns the entire set of client properties.

  Returns:
    The properties

### connect

    public void connect()
                 throws dbXMLException

  connect instructs the client to connect to the server.

  Throws:
    `dbXMLException`

### disconnect

    public void disconnect()
                    throws dbXMLException

  disconnect instructs the client to disconnect from the server.

  Throws:
    `dbXMLException`

### getServerVersion

    public java.lang.String getServerVersion()
                                      throws dbXMLException

  getServerVersion returns a string that includes the name and current version of the server that is currently connected.

  Returns:
    The server version
  Throws:
    `dbXMLException`

### shutdown

    public void shutdown(int exitCode)
                  throws dbXMLException

  shutdown shuts down the server with the specified exit code.

  Parameters:
    `exitCode` - The exit code to use
  Throws:
    `dbXMLException`

### getDatabase

    public CollectionClient getDatabase()
                                 throws dbXMLException

  getDatabase returns the Database instance as a CollectionClient.

  Returns:
    The CollectionClient
  Throws:
    `dbXMLException`

### getCollection

    public CollectionClient getCollection(java.lang.String path)
                                   throws dbXMLException

  getCollection returns the CollectionClient defined by the specified path.

  Parameters:
    `path` - The Collection path
  Returns:
    The CollectionClient
  Throws:
    `dbXMLException`

### getContent

    public ContentClient getContent(java.lang.String path)
                             throws dbXMLException

  getContent returns the ContentClient defined by the specified path.

  Parameters:
    `path` - The Document path
  Returns:
    The ContentClient
  Throws:
    `dbXMLException`

dbXML API

Copyright (c) 2004 The dbXML Group